# Random class

A generator of random bool, int, or double values.

The default implementation supplies a stream of pseudo-random bits that are not suitable for cryptographic purposes.

Use the Random.secure constructor for cryptographic purposes.

## Constructors

Random([int seed ])
  Creates a random number generator. [...]
  factory
Random.secure()
  Creates a cryptographically secure random number generator. [...]
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

nextBool() → bool
  Generates a random boolean value.
nextDouble() → double
  Generates a non-negative random floating point value uniformly distributed in the range from 0.0, inclusive, to 1.0, exclusive.
nextInt(int max) → int
  Generates a non-negative random integer uniformly distributed in the range from 0, inclusive, to `max`, exclusive. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited